From 47c924bbe40e3471b761b99c3bcd493fd75e1d50 Mon Sep 17 00:00:00 2001
From: Bhaskar <niceguy108@gmail.com>
Date: Wed, 22 May 2013 22:53:36 +0530
Subject: [PATCH] * Bugfix in Osmoload.c: Assigning correct value to data
 pointer in LOADER_MEM_READ. Wrong value was introduced in
 last update when msgb_get() was replaced by msgb_pull().

---
 src/host/osmocon/osmoload.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/src/host/osmocon/osmoload.c b/src/host/osmocon/osmoload.c
index 9b64935..96462e0 100644
--- a/src/host/osmocon/osmoload.c
+++ b/src/host/osmocon/osmoload.c
@@ -307,7 +307,8 @@ loader_handle_reply(struct msgb *msg) {
 		length = msgb_pull_u8(msg);
 		crc = msgb_pull_u16(msg);
 		address = msgb_pull_u32(msg);
-		data = msgb_pull(msg, length);
+		data = msg->data;
+		msgb_pull(msg, length); //ignore return value
 		break;
 	case LOADER_MEM_WRITE:
 		length = msgb_pull_u8(msg);
-- 
1.7.9

